/*
** SellaNMS
** $Id: log.h,v 1.13 2005/05/15 05:21:17 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_MODULE_OUTPUT_LOG_H
#define __DGS_MODULE_OUTPUT_LOG_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "defaults.h"
#include "util.h"
#include "policy_framework/policy_framework.h"
#include "../output.h"
#include <stdio.h>
#include <stdlib.h>

#define MODULE_OUTPUT_LOG_QUEUEDEPTH_DEFAULT MODULE_OUTPUT_QUEUEDEPTH_DEFAULT

class Log: public Output {
	public:
		Log();
		~Log();

	protected:

	private:
		virtual RESULT execute();
		virtual RESULT readConfig();
		virtual RESULT printConfig();

		virtual RESULT processPolicyOutput(variable_binding_t &policy_output);
		virtual RESULT rotate(string &file, variable_binding_t &policy_output);
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
